# Interface ServerOptions<U, V>

#### Type Parameters

- #### U extends typeof WebSocket = typeof WebSocket

- #### V extends typeof IncomingMessage = typeof IncomingMessage

#### Hierarchy

- ServerOptions

#####
Index

### Properties

WebSocket?
backlog?
clientTracking?
handleProtocols?
host?
maxPayload?
noServer?
path?
perMessageDeflate?
port?
server?
skipUTF8Validation?
verifyClient?

## Properties

### `Optional` WebSocket

WebSocket?: U

### `Optional` backlog

backlog?: number

### `Optional` clientTracking

clientTracking?: boolean

### `Optional` handleProtocols

handleProtocols?: ((protocols, request) => string | false)

#### Type declaration

- - (protocols, request): string | false

  - #### Parameters

    - ##### protocols: Set<string>

    - ##### request: InstanceType<V>

    #### Returns string | false

### `Optional` host

host?: string

### `Optional` maxPayload

maxPayload?: number

### `Optional` noServer

noServer?: boolean

### `Optional` path

path?: string

### `Optional` perMessageDeflate

perMessageDeflate?: boolean | PerMessageDeflateOptions

### `Optional` port

port?: number

### `Optional` server

server?: Server<V, typeof ServerResponse> | Server<V, typeof ServerResponse>

### `Optional` skipUTF8Validation

skipUTF8Validation?: boolean

### `Optional` verifyClient

verifyClient?: VerifyClientCallbackAsync<InstanceType<V>> | VerifyClientCallbackSync<InstanceType<V>>

Generated using TypeDoc